#### D.4.6.1 decompopts

Procedure from library `decomp.lib` (see decomp_lib).

Usage:
  decompopts(); or decompopts("reset");

Return:
  nothing

Note:
  in the first case, it shows the setting of the control parameters;
  in the second case, it kills the user-defined control parameters and
  resets to the default setting which will then be displayed.
  int DECMETH; Method for computing the univariate decomposition
  0 : (default) Kozen-Landau
  1 : von zur Gathen

  int IMPROVE Choice of coefficients for the decomposition
  of a non-monic polynomials f.
  0 : leadcoef( ) = leadcoef( ) and are monic
  1 : (default), content( ) = 1

  int MINS
  of a non-monic polynomials f.
  0 : g(0) = f(0), h(0) = 0 [ueberlegen fuer complete]
  1 : (default), g(0)=0, h(0) = f(0)
  2 : Tschirnhaus

  int DECORD; The order in which the decomposition will be computed
  0 : minfirst
  1 : (default) maxfirst

  int DEGONE; decompose also polynomials built on linear ones
  0 : (default)
  1 :

Example:

    LIB "decomp.lib";
    decompopts();
    ==>
    ==>   === Global variables for decomp.lib ===
    ==>
    ==>  -- DECMETH (int) not defined, implicitly 1
    ==>  -- MINS (int) not defined, implicitly 0
    ==>  -- IMPROVE (int) not defined, implicitly 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.